Relesys API Docs

v1.4

https://api.relesysapp.net/api/v1.4

Comments

Get Comments
GET /contentmodules/{moduleId}/content/{contentId}/comments
https://api.relesysapp.net/api/v1.4/contentmodules/{moduleId}/content/{contentId}/comments
Get a list of content comments.
Default sort is by creationDateTime in descending order.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
Query String
creationDateTime datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
lastModifiedDateTime datetimeoffset Filterable Sortable optional
parentCommentId string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"5a62a2d2-533a-4d04-86ed-3da3e6af8593","url":null,"userId":"6ff37787-2a15-4d44-bd38-ee181cb68612","userUrl":null,"parentCommentId":"768bb8a3-9a01-4c2e-8866-6c8a1e9eb2d9","parentCommentUrl":null,"creationDateTime":"2026-10-18T22:15:06.56879+00:00","lastModifiedDateTime":"2026-10-19T02:15:06.56879+00:00","medias":[{"id":"c797b483-ed7e-4802-8831-298a02ee4e11","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"f0a850df-d170-470a-a48b-39eee644cca1","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]},{"id":"41f6e765-17ef-452e-a618-cc5e17a35e2f","url":null,"userId":"fe1f4c78-77fa-4abe-a349-1445100631fe","userUrl":null,"parentCommentId":"1a53621d-7839-49cf-9922-b27af6224c30","parentCommentUrl":null,"creationDateTime":"2026-10-18T21:15:06.56879+00:00","lastModifiedDateTime":null,"medias":null,"mentions":[{"type":"User","name":null,"id":"96a3be0a-2e05-47df-902f-e6243b2b89ab","url":null},{"type":"Department","name":null,"id":"717dedcd-0c3e-4941-9a87-615395c6a40a","url":null},{"type":"User group","name":null,"id":"78121136-0774-44af-8c36-7597ca4f9129","url":null}],"locales":[{"culture":"en-GB","text":"Example text 2"}]}]}
object
  count integer      
  ⯈ data array[object]      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   ⯈ locales array[object]      
    culture string      
    text string      
   ⯈ medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   ⯈ mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string